const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_5 = z.x;
    v1_18 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+18;
    z.x = z.x & -0x10000 | v1_18 & -0xff01 | v1_18 / 2 & 0x7f00;
    if v1_18 & 256 == 0:;
        pass;
    v1_22 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+22;
    z.x = z.x & -0x10000 | v1_22 & -0xff01 | v1_22 / 2 & 0x7f00;
    v1_32 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+32;
    z.x = z.x & -0x10000 | v1_32 & -0xff01 | v1_32 / 2 & 0x7f00;
    v3_a8 = z.z + 8;
    *v3_a8 = *((arg1[48] - 16)) * *v3_a8;
    v4_cb = 0.0;
    st7_global_2d_to_2d_local = v4_cb # st7;
    *v0_5 = v4_cb;
    *z.y = st7_global_2d_to_2d_local;
    *z.z = st7_global_2d_to_2d_local;
    z.x = v0_5;
    return v0_5;


	}